Subject: RE: Directory names with spaces - No such - in script
From: "Larry Hall (RFK Partners, Inc)" <[email-masked]>
To: "Lamar Seifuddin" <[email-masked]>
Cc: <[email-masked]>
Date: Tue, 11 Dec 2001 16:39:47 -0500

At 06:37 PM 12/11/2001, Lamar Seifuddin wrote:
>I had already tried (removing backslashes) that!   it didn't work

Yes, but did you try what I suggested (remove the backslashes and 
quote the use of MUSIC_DIR in the cd command)?  That worked fine for
me.

>I worked around this....

Good.

>thanks anyway.
>
>
>
>-----Original Message-----
>From: Larry Hall (RFK Partners, Inc) [mailto:[email-masked]]
>Sent: Tuesday, December 11, 2001 12:24 PM
>To: Lamar Seifuddin; [email-masked]
>Subject: Re: Directory names with spaces - No such - in script
>
>
>At 05:14 PM 12/11/2001, Lamar Seifuddin wrote:
> >Hello All,
> >
> >I am creating some scripts, setting up the environment
> >  within the script.
> >
> >e.g.
> >
> >$ MUSIC_DIR="/cygdrive/c/Program\ Files/Audiogalaxy\ Satellite/Music/";
> >   export MUSIC_DIR
> >
> >cd $MUSIC_DIR
> >=======================================================================
> >
> >I get an error:
> >
> >bash: cd: /cygdrive/c/Program: No such file or directory
> >
> >I'm sure there is an easy solution, I just can't see it.
> >
> >now if I created this without a directory (name) with spaces, it works.
>
>
>
>That's one easy way.  You can also remove the backslashes and simply 
>quote $MUSIC_DIR in your "cd" command.
>
>This is really a bash/bourne shell question.  You should consult the 
>documentation for these shells to get a better understanding of what's
>going on here and how to deal with it.  Unless there is a problem 
>specific to Cygwin in this area, it's rather off-topic here.  Just FYI.
>
>
>
>Larry Hall                              [email-masked]
>RFK Partners, Inc.                      http://www.rfk.com
>838 Washington Street                   (508) 893-9779 - RFK Office
>Holliston, MA 01746                     (508) 893-9889 - FAX

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/